Exemplo n.º 1
0
        public Dynamic.Tekla.Structures.Drawing.CurvedDimensionSetOrthogonal CreateCurvedDimensionSetOrthogonal(
            Dynamic.Tekla.Structures.Drawing.ViewBase View_,
            Dynamic.Tekla.Structures.Geometry3d.Point ArcPoint1_,
            Dynamic.Tekla.Structures.Geometry3d.Point ArcPoint2_,
            Dynamic.Tekla.Structures.Geometry3d.Point ArcPoint3_,
            Dynamic.Tekla.Structures.Drawing.PointList DimensionPoints_,
            System.Double Distance,
            Dynamic.Tekla.Structures.Drawing.CurvedDimensionSetOrthogonal.CurvedDimensionSetOrthogonalAttributes Attributes_)
        {
            var View            = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View_);
            var ArcPoint1       = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(ArcPoint1_);
            var ArcPoint2       = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(ArcPoint2_);
            var ArcPoint3       = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(ArcPoint3_);
            var DimensionPoints = Dynamic.Tekla.Structures.Drawing.PointList_.GetTSObject(DimensionPoints_);
            var Attributes      = Dynamic.Tekla.Structures.Drawing.CurvedDimensionSetOrthogonal.CurvedDimensionSetOrthogonalAttributes_.GetTSObject(Attributes_);

            try
            {
                var result = teklaObject.CreateCurvedDimensionSetOrthogonal(View, ArcPoint1, ArcPoint2, ArcPoint3, DimensionPoints, Distance, Attributes);

                var _result = Dynamic.Tekla.Structures.Drawing.CurvedDimensionSetOrthogonal_.FromTSObject(result);
                return(_result);
            }
            catch (Microsoft.CSharp.RuntimeBinder.RuntimeBinderException ex)
            {
                throw DynamicAPINotFoundException.CouldNotFindMethod(nameof(CreateCurvedDimensionSetOrthogonal), ex);
            }
        }
        public Dynamic.Tekla.Structures.Drawing.StraightDimensionSet CreateDimensionSet(
            Dynamic.Tekla.Structures.Drawing.ViewBase View_,
            Dynamic.Tekla.Structures.Drawing.PointList DimensionPoints_,
            Dynamic.Tekla.Structures.Geometry3d.Vector UpDirection_,
            System.Double Distance,
            System.Double LeftTagLineOffset,
            System.Double RightTagLineOffset,
            Dynamic.Tekla.Structures.Drawing.StraightDimensionSet.StraightDimensionSetAttributes Attributes_)
        {
            var View            = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View_);
            var DimensionPoints = Dynamic.Tekla.Structures.Drawing.PointList_.GetTSObject(DimensionPoints_);
            var UpDirection     = Dynamic.Tekla.Structures.Geometry3d.Vector_.GetTSObject(UpDirection_);

            var Attributes = Dynamic.Tekla.Structures.Drawing.StraightDimensionSet.StraightDimensionSetAttributes_.GetTSObject(Attributes_);

            try
            {
                var result = teklaObject.CreateDimensionSet(View, DimensionPoints, UpDirection, Distance, LeftTagLineOffset, RightTagLineOffset, Attributes);

                var _result = Dynamic.Tekla.Structures.Drawing.StraightDimensionSet_.FromTSObject(result);
                return(_result);
            }
            catch (Microsoft.CSharp.RuntimeBinder.RuntimeBinderException ex)
            {
                throw DynamicAPINotFoundException.CouldNotFindMethod(nameof(CreateDimensionSet), ex);
            }
        }
        public void PickThreePoints(
            System.String firstPrompt,
            System.String secondPrompt,
            System.String thirdPrompt,
            out Dynamic.Tekla.Structures.Geometry3d.Point firstPickedPoint_,
            out Dynamic.Tekla.Structures.Geometry3d.Point secondPickedPoint_,
            out Dynamic.Tekla.Structures.Geometry3d.Point thirdPickedPoint_,
            out Dynamic.Tekla.Structures.Drawing.ViewBase pickedView_)
        {
            var firstPickedPoint  = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(null);
            var secondPickedPoint = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(null);
            var thirdPickedPoint  = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(null);
            var pickedView        = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(null);

            try
            {
                MethodInvoker.InvokeMethod("Tekla.Structures.Drawing.UI.Picker", "PickThreePoints", teklaObject, firstPrompt, secondPrompt, thirdPrompt, out firstPickedPoint, out secondPickedPoint, out thirdPickedPoint, out pickedView);
                firstPickedPoint_  = Dynamic.Tekla.Structures.Geometry3d.Point_.FromTSObject(firstPickedPoint);
                secondPickedPoint_ = Dynamic.Tekla.Structures.Geometry3d.Point_.FromTSObject(secondPickedPoint);
                thirdPickedPoint_  = Dynamic.Tekla.Structures.Geometry3d.Point_.FromTSObject(thirdPickedPoint);
                pickedView_        = Dynamic.Tekla.Structures.Drawing.ViewBase_.FromTSObject(pickedView);
            }
            catch (Microsoft.CSharp.RuntimeBinder.RuntimeBinderException ex)
            {
                throw DynamicAPINotFoundException.CouldNotFindMethod(nameof(PickThreePoints), ex);
            }
        }
Exemplo n.º 4
0
        public Polyline(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Drawing.PointList pointList)
        {
            var args = new object[2];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Drawing.PointList_.GetTSObject(pointList);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Polyline", args);
        }
        public Plugin(Dynamic.Tekla.Structures.Drawing.ViewBase View, System.String Name)
        {
            var args = new object[2];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Name;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Plugin", args);
        }
Exemplo n.º 6
0
        public PickerInputPoint(Dynamic.Tekla.Structures.Drawing.ViewBase pickedView, Dynamic.Tekla.Structures.Geometry3d.Point pickedPoint)
        {
            var args = new object[2];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(pickedView);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(pickedPoint);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.PickerInputPoint", args);
        }
Exemplo n.º 7
0
        public Symbol(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point InsertionPoint)
        {
            var args = new object[2];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(InsertionPoint);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Symbol", args);
        }
        public Rectangle(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Geometry3d.Point startPoint, Dynamic.Tekla.Structures.Geometry3d.Point endPoint)
        {
            var args = new object[3];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(startPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(endPoint);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Rectangle", args);
        }
        public Polygon(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Drawing.PointList pointList, Dynamic.Tekla.Structures.Drawing.Polygon.PolygonAttributes attributes)
        {
            var args = new object[3];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Drawing.PointList_.GetTSObject(pointList);
            args[2]          = Dynamic.Tekla.Structures.Drawing.Polygon.PolygonAttributes_.GetTSObject(attributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Polygon", args);
        }
        public Circle(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Geometry3d.Point centerPoint, System.Double radius)
        {
            var args = new object[3];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(centerPoint);
            args[2]          = radius;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Circle", args);
        }
Exemplo n.º 11
0
        public DwgObject(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Geometry3d.Point insertionPoint, System.String fileName)
        {
            var args = new object[3];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(insertionPoint);
            args[2]          = fileName;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.DwgObject", args);
        }
        public Rectangle(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Geometry3d.Point startPoint, System.Double width, System.Double height)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(startPoint);
            args[2]          = width;
            args[3]          = height;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Rectangle", args);
        }
Exemplo n.º 13
0
        public Line(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Geometry3d.Point startPoint, Dynamic.Tekla.Structures.Geometry3d.Point endPoint, System.Double bulge)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(startPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(endPoint);
            args[3]          = bulge;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Line", args);
        }
Exemplo n.º 14
0
        public LevelMark(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point InsertionPoint, Dynamic.Tekla.Structures.Geometry3d.Point BasePoint, Dynamic.Tekla.Structures.Drawing.ModelObject modelObject)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(InsertionPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(BasePoint);
            args[3]          = Dynamic.Tekla.Structures.Drawing.ModelObject_.GetTSObject(modelObject);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.LevelMark", args);
        }
Exemplo n.º 15
0
        public Symbol(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point InsertionPoint, Dynamic.Tekla.Structures.Drawing.SymbolInfo SymbolInfo, Dynamic.Tekla.Structures.Drawing.Symbol.SymbolAttributes Attributes)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(InsertionPoint);
            args[2]          = Dynamic.Tekla.Structures.Drawing.SymbolInfo_.GetTSObject(SymbolInfo);
            args[3]          = Dynamic.Tekla.Structures.Drawing.Symbol.SymbolAttributes_.GetTSObject(Attributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Symbol", args);
        }
        public Image(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Geometry3d.Point insertionPoint, System.String fileName, Dynamic.Tekla.Structures.Drawing.EmbeddedObjectAttributes attributes)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(insertionPoint);
            args[2]          = fileName;
            args[3]          = Dynamic.Tekla.Structures.Drawing.EmbeddedObjectAttributes_.GetTSObject(attributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Image", args);
        }
        public PickerInputThreePoints(Dynamic.Tekla.Structures.Drawing.ViewBase pickedView, Dynamic.Tekla.Structures.Geometry3d.Point firstPickedPoint, Dynamic.Tekla.Structures.Geometry3d.Point secondPickedPoint, Dynamic.Tekla.Structures.Geometry3d.Point thirdPickedPoint)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(pickedView);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(firstPickedPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(secondPickedPoint);
            args[3]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(thirdPickedPoint);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.PickerInputThreePoints", args);
        }
Exemplo n.º 18
0
        public Arc(Dynamic.Tekla.Structures.Drawing.ViewBase inView, Dynamic.Tekla.Structures.Geometry3d.Point inPoint1, Dynamic.Tekla.Structures.Geometry3d.Point inPoint2, Dynamic.Tekla.Structures.Geometry3d.Point inPoint3)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(inView);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(inPoint1);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(inPoint2);
            args[3]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(inPoint3);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Arc", args);
        }
Exemplo n.º 19
0
        public DrawingLink(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point InsertionPoint, Dynamic.Tekla.Structures.Drawing.Drawing Target, System.String Text)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(InsertionPoint);
            args[2]          = Dynamic.Tekla.Structures.Drawing.Drawing_.GetTSObject(Target);
            args[3]          = Text;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.DrawingLink", args);
        }
Exemplo n.º 20
0
        public Text(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Geometry3d.Point insertionPoint, System.String Text, Dynamic.Tekla.Structures.Drawing.Text.TextAttributes inAttributes)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(insertionPoint);
            args[2]          = Text;
            args[3]          = Dynamic.Tekla.Structures.Drawing.Text.TextAttributes_.GetTSObject(inAttributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Text", args);
        }
Exemplo n.º 21
0
        public AngleDimension(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point Origin, Dynamic.Tekla.Structures.Geometry3d.Vector Vector1, Dynamic.Tekla.Structures.Geometry3d.Vector Vector2, System.Double Distance)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(Origin);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Vector_.GetTSObject(Vector1);
            args[3]          = Dynamic.Tekla.Structures.Geometry3d.Vector_.GetTSObject(Vector2);
            args[4]          = Distance;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.AngleDimension", args);
        }
Exemplo n.º 22
0
        public LevelMark(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point InsertionPoint, Dynamic.Tekla.Structures.Geometry3d.Point BasePoint, Dynamic.Tekla.Structures.Drawing.PlacingBase Placing, Dynamic.Tekla.Structures.Drawing.LevelMark.LevelMarkAttributes Attributes)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(InsertionPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(BasePoint);
            args[3]          = Dynamic.Tekla.Structures.Drawing.PlacingBase_.GetTSObject(Placing);
            args[4]          = Dynamic.Tekla.Structures.Drawing.LevelMark.LevelMarkAttributes_.GetTSObject(Attributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.LevelMark", args);
        }
        public RadiusDimension(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point ArcPoint1, Dynamic.Tekla.Structures.Geometry3d.Point ArcPoint2, Dynamic.Tekla.Structures.Geometry3d.Point ArcPoint3, System.Double Distance)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(ArcPoint1);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(ArcPoint2);
            args[3]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(ArcPoint3);
            args[4]          = Distance;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.RadiusDimension", args);
        }
        public HyperLink(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point InsertionPoint, System.Uri Target, System.String Text, Dynamic.Tekla.Structures.Drawing.Size Size)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(InsertionPoint);
            args[2]          = Target;
            args[3]          = Text;
            args[4]          = Dynamic.Tekla.Structures.Drawing.Size_.GetTSObject(Size);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.HyperLink", args);
        }
        public StraightDimension(Dynamic.Tekla.Structures.Drawing.ViewBase targetView, Dynamic.Tekla.Structures.Geometry3d.Point startPoint, Dynamic.Tekla.Structures.Geometry3d.Point endPoint, Dynamic.Tekla.Structures.Geometry3d.Vector upDirection, System.Double distance)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(targetView);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(startPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(endPoint);
            args[3]          = Dynamic.Tekla.Structures.Geometry3d.Vector_.GetTSObject(upDirection);
            args[4]          = distance;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.StraightDimension", args);
        }
Exemplo n.º 26
0
        public Arc(Dynamic.Tekla.Structures.Drawing.ViewBase inView, Dynamic.Tekla.Structures.Geometry3d.Point StartPoint, Dynamic.Tekla.Structures.Geometry3d.Point EndPoint, Dynamic.Tekla.Structures.Geometry3d.Point CenterPoint, Dynamic.Tekla.Structures.Drawing.Arc.ArcAttributes inAttributes)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(inView);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(StartPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(EndPoint);
            args[3]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(CenterPoint);
            args[4]          = Dynamic.Tekla.Structures.Drawing.Arc.ArcAttributes_.GetTSObject(inAttributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Arc", args);
        }
Exemplo n.º 27
0
        public Arc(Dynamic.Tekla.Structures.Drawing.ViewBase inView, Dynamic.Tekla.Structures.Geometry3d.Point inPoint1, Dynamic.Tekla.Structures.Geometry3d.Point inPoint2, System.Double inRadius, Dynamic.Tekla.Structures.Drawing.Arc.ArcAttributes inAttributes)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(inView);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(inPoint1);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(inPoint2);
            args[3]          = inRadius;
            args[4]          = Dynamic.Tekla.Structures.Drawing.Arc.ArcAttributes_.GetTSObject(inAttributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Arc", args);
        }
Exemplo n.º 28
0
        public AngleDimension(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point Origin, Dynamic.Tekla.Structures.Geometry3d.Point Point1, Dynamic.Tekla.Structures.Geometry3d.Point Point2, System.Double Distance, Dynamic.Tekla.Structures.Drawing.AngleDimensionAttributes Attributes)
        {
            var args = new object[6];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(Origin);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(Point1);
            args[3]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(Point2);
            args[4]          = Distance;
            args[5]          = Dynamic.Tekla.Structures.Drawing.AngleDimensionAttributes_.GetTSObject(Attributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.AngleDimension", args);
        }
Exemplo n.º 29
0
        public CurvedDimensionRadial(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point ArcPoint1, Dynamic.Tekla.Structures.Geometry3d.Point ArcPoint2, Dynamic.Tekla.Structures.Geometry3d.Point ArcPoint3, Dynamic.Tekla.Structures.Geometry3d.Point StartPoint, Dynamic.Tekla.Structures.Geometry3d.Point EndPoint, System.Double Distance)
        {
            var args = new object[7];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(ArcPoint1);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(ArcPoint2);
            args[3]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(ArcPoint3);
            args[4]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(StartPoint);
            args[5]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(EndPoint);
            args[6]          = Distance;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.CurvedDimensionRadial", args);
        }
        public static Dynamic.Tekla.Structures.Drawing.PointList Convert(
            Dynamic.Tekla.Structures.Drawing.ViewBase fromView_,
            Dynamic.Tekla.Structures.Drawing.ViewBase toView_,
            Dynamic.Tekla.Structures.Drawing.PointList pointList_)
        {
            var fromView  = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(fromView_);
            var toView    = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(toView_);
            var pointList = Dynamic.Tekla.Structures.Drawing.PointList_.GetTSObject(pointList_);
            var result    = MethodInvoker.InvokeStaticMethod("Tekla.Structures.Drawing.Tools.DrawingCoordinateConverter", "Convert", fromView, toView, pointList);
            var _result   = Dynamic.Tekla.Structures.Drawing.PointList_.FromTSObject(result);

            return(_result);
        }